XmVaCreateCommand(library call)

NAME
XmVaCreateCommand, XmVaCreateManagedCommand — A Command widget convenience creation functions.

SYNOPSIS

#include <Xm/Command.h>

Widget XmVaCreateCommand(
Widget parent,
String name,
...);

Widget XmVaCreateManagedCommand(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a Command widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateCommand function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedCommand function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of Command and its associated resources, see XmCommand(3).

RETURN

Returns the Command widget ID.

RELATED

XmCommand(3), XmCreateCommand(3), XtCreateWidget(3), and XtCreateManagedWidget(3).